Bug 194230 - multipath wrong return values
multipath wrong return values
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: device-mapper-multipath (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ben Marzinski
:
Depends On:
Blocks: 176344 198694
  Show dependency treegraph
 
Reported: 2006-06-06 10:16 EDT by Jose Plans
Modified: 2010-01-11 21:25 EST (History)
10 users (show)

See Also:
Fixed In Version: RHEA-2007-0256
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-01 13:39:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Return 0 if we perform a list. (392 bytes, patch)
2006-06-06 10:16 EDT, Jose Plans
no flags Details | Diff

  None (edit)
Description Jose Plans 2006-06-06 10:16:44 EDT
Hi,
 This customer reported that using the command multipath -l it returns 1 instead
of 0 as it just outputs a list, and should be successful. 

This problem has been seen in :
    
        device-mapper-multipath-0.4.5-12.0.RHEL4
 
 Attached is a patch fixing the problem, please let me know if you need more
details,
Comment 1 Jose Plans 2006-06-06 10:16:45 EDT
Created attachment 130607 [details]
Return 0 if we perform a list.
Comment 2 RHEL Product and Program Management 2006-08-18 11:39:47 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 4 Ben Marzinski 2006-09-14 19:29:11 EDT
patch applied. Thanks.
Comment 8 Red Hat Bugzilla 2007-05-01 13:39:27 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2007-0256.html

Note You need to log in before you can comment on or make changes to this bug.